Pendelachsen (A8)

1.1 EinleitungPAGEREF _Toc304470743 \h2

1.2 Beschreibung 3

1.3 Allgemeine Eigenschaften 3

1.4 Programmierung 3

1.4.1 Pendeln und Transformationen 3

1.5 Pendelbewegungsdynamik 3

1.5.1 Begrenzung durch Beschleunigung 3

1.5.2 Begrenzung durch Geschwindigkeit 3

1.6 Parameter 3

1.6.1 Übersicht 3

1.6.1.1 Kanalparameter 3

1.6.1.2 Achsparameter 3

1.6.2 Beschreibung 3

1.6.2.1 Kanalparameter 3

1.6.2.2 Achsparameter 3

1.6.2.2.1 Linearer Slope 3

1.6.2.2.2 Nichtlinearer Slope 3

Mehr:

button Einleitung

button Beschreibung

button Allgemeine Eigenschaften

button Programmierung

button Pendelbewegungsdynamik

button Parameter


Einleitung

Für bestimmte Bearbeitungstechnologien wie z. B. Schleifen ist eine oszillierende Achsbewegung erforderlich, die weitgehend unabhängig von einer Bahnbewegung ausgeführt wird.

Diese im folgenden als Pendelbewegung bezeichnete Bewegung führt das Werkzeug periodisch reversierend über dem Werkstück aus.

Die typische Pendelbewegung ist dabei im physikalisch strengen Sinn sinusförmig. Bei der Verwendung des Begriffes Pendelbewegung für die im folgenden betrachtete periodische Reversierbewegung ist also zu berücksichtigen das der zeitliche Verlauf der Bewegung i.a. nicht sinusförmig ist! Da bei der typischen Schleifbearbeitung die Relativgeschwindigkeit zwischen Scheibe und Werkstück zumindest während des Werkzeugeingriffs konstant sein sollte, ist dies auch so gewünscht.

Beispielhaft ist im folgenden eine Pendelachse beim Schleifen dargestellt. Die Werkstückbearbeitung erfolgt dabei durch Überlagerung der X - Pendelbewegung mit Positionierbewegungen in Y und Z- Achse.

Abbildung 1-1: Schleifen mit Pendelachse


Beschreibung

Die Pendelbewegung kann neben dem Profiltyp der die Art des Geschwindigkeitssverlaufs in der dynamischen Phase festlegt, durch folgende Parameter charakterisiert werden:

vosc: Pendelvorschub

Tosc: Pendelperiodendauer

fosc: Pendelfrequenz (1/ Tosc)

p1: Pendelumkehrposition 1

p2: Pendelumkehrposition 2

td1: Warte-/ Verzögerungszeit an Pendelumkehrposition 1

td2: Warte-/ Verzögerungszeit an Pendelumkehrposition 2

sexc: Pendelauslenkung

Die folgenden Zeit- und Wegdiagramme verdeutlichen die Parameter.

Abbildung 1-2: Pendelbewegung im Zeitbereich mit linearem Slope-Profil

Abbildung 1-3: Pendelbewegung im Zeitbereich mit nichtlinearem Slope-Profil

Abbildung 1-4: Positioniervorgang bei der Pendelbewegung


Allgemeine Eigenschaften

q Beliebige Festlegung der Pendelachse innerhalb der konfigurierten Achsen.

q Asynchrone Pendelbewegung.

q Alternative Programmierung der Pendelachse im Bahnverbund.

q Start und Stop und Parametrierung der Pendelbewegung erfolgen über das NC Programm.

q Die wesentlichen Eigenschaften der Pendelbewegung ergeben sich über zwei Absolutpositionen zwischen denen die Pendelbewegung ausgeführt wird sowie der Vorschubgeschwindigkeit.

q Slopetyp entsprechend dem eingestellten Kanalparameter.

q Programmierbare Wartezeiten an den Umkehrpunkten der Pendelbewegung.

q Verwendung von G01 Beschleunigung in den dynamischen Phasen der Bewegung.

q Unterbrechung der Bahnbewegung, wenn Pendelbewegung beauftragt wird.

q Implizite Deaktivierung der Pendelbewegung bei:

§ Übergang der programmierten Pendelachse zur Bahnbewegung.

§ Neubeauftragung ohne vorherige Abwahl.

§ Anforderung von Achspositionen zur Synchronisation von Decodierung und Interpolation.

§ Programmende

Nach Deaktivierung der Pendelbewegung wird immer auf
Pendelposition 2 gestoppt!


Programmierung

Die Programmiersyntax lehnt sich an die achsspezifische Programmierung von unabhängigen Achsen und M-Funktionen an [PROG].

Nach dem Achsbezeichner erfolgt die Parametrierung der Pendelbewegung über Schlüsselworte und ggf. einem zugehörigen Wert:

X[<Schlüsselwort1> <(Wert1)>, [<Schlüsselwort2> <(Wert2) >,..]

Die Eigenschaft der Pendelbewegung wird durch die Lage der Umkehrpositionen und dem Achsvorschub bestimmt. Die Umkehrpositionen können entweder direkt angegeben werden oder werden alternativ über Nullposition und Auslenkung automatisch bestimmt.

Die Pendelgeschwindigkeit kann alternativ über den Vorschub, die Frequenz oder die Periodendauer festgelegt werden.

Sofern keine Beschränkung aufgrund der dynamischen Achskenngrößen auftritt, werden bei Verwendung des linearen Slopes die Frequenz und die Periodendauer exakt eingehalten, beim nichtlinearen Slope näherungsweise.

Eigenschaften der im Pendelbefehl programmierbaren Schlüsselwörter:

Schlüsselwort | Funktion/Bedeutung | Einheit
OSC | Kennung Pendeln. Muß erstes Schlüsselwort in Befehlssequenz sein. | -
ON | Pendeln einschalten | -
OFF | Pendeln ausschalten | -
1ST_POS | Erste Umkehrposition | [mm]
1ST_DELT | Wartezeit an erster Umkehrposition | [s]
2ND_POS | Zweite Umkehrposition | [mm]
2ND_DELT | Wartezeit an zweiter Umkehrposition | [s]
ZERO_POS | Nullpunkt | [mm]
EXCUR | Auslenkung | [mm]
FEED | Vorschub | [mm/min]
FREQ | Frequenz | [Hz]
TIME | Periodendauer | [s]
NBR_OSC | Anzahl Schwingungen | -

Programmierbeispiele

Angabe des Pendelfahrweges über Umkehrpositionen:

N10 X[OSC ON 1ST_POS=-100 2ND_POS=100 FEED=1000]

Angabe des Pendelfahrweges über Nullposition und Auslenkung:

N20 X[OSC ON ZERO_POS=0 EXCUR=100 FEED=1000]

Angabe der Pendelfrequenz 1 Hertz, 10 Schwingungen:

N30 X[OSC ON ZERO_POS=0 EXCUR=100 FREQ=1 NBR_OSC=10]

Angabe der Pendelperiodendauer 4s:

N40 X[OSC ON ZERO_POS=0 EXCUR=100 TIME=4]

Pendelbewegung mit Zustellbewegung einer Bahnachse:

N50 X[OSC ON 1ST_POS=111 2ND_POS=222 FREQ=1]

N60 G01 G90 Y500 F200

Pendeln mit Wartezeiten an den Umkehrpositionen von jeweils 0.5 s:

N70 X[OSC ON 1ST_POS=-100 1ST_DELT=0.5 2ND_POS=200
2ND_DELT=0.5 FEED=1000]

Abwahl Pendeln:

Pendelbewegung wird mit Erreichen der Umkehrposition 2 beendet.

N80 X[OSC OFF]

Schneller Pendelstop:

Wird in Verbindung mit OFF ein Vorschub FEED programmiert, so wird die Pendelbewegung sofort abgebrochen (Feedhold der Pendelachse) und es wird mit dem neuen Vorschub direkt auf Umkehrposition 2 gefahren.

N90 X[OSC OFF FEED=5000]

Die Angabe der Gleichheitszeichen zwischen Schlüsselwort und Wert sind optional.

Mehr:

button Pendeln und Transformationen


Pendeln und Transformationen

Kinematische Transformation

Bei aktiver kinematischer Transformation (#TRAFO ON) ist keine Pendelbewegung zulässig.

Kartesische Transformation

Pendeln bei aktiver kartesischer Transformation (#(A)CS ON) ist dann zulässig, wenn die Pendelachse in gleicher Richtung wie die Achsrichtung der Maschine liegt d.h. wenn z. B. ausschließlich eine Rotation um die Z-Achse durchgeführt wurde und in Z oszilliert werden soll.

Beispiel:

N10 #CS ON[0,0,0,0,0,90]

N20 Z[OSC ON...]

......

Andere Varianten wie z.B.

N10 #CS ON[0,0,0,0,0,90]

N20 X[OSC ON...]

......

(hier würde die Y-Maschinenachse mit der Dynamik der X-Achse pendeln) sind wegen der wechselnden Achsdynamik und der möglichen Bewegungsüberlagerung durch die Abbildung nicht zulässig. In solchen Fällen wird eine Fehlermeldung ausgegeben.

Bei dem angeführten Beispiel könnte der Anwender auch eine Linearbewegung programmieren was zur unzulässigen Überlagerung der asynchronen Pendelbewegung mit der Linearbewegung führen würde.

N10 #CS ON[0,0,0,0,0,45]

N20 X[OSC ON...]

N30 G01 Y50 F20


Pendelbewegungsdynamik

Abhängig vom Profiltyp treten bei relativ hoher Frequenz bzw. kleiner Periodendauer oder kleinem Pendelfahrweg Begrenzungseffekte bedingt durch die begrenzten Achsgeschwindigkeiten und Bechleunigungen auf.

In diesem Fall weicht die reale Pendelfrequenz-/periodendauer von der gewünschten programmierten Frequenz bzw. Periodendauer ab.

Die im folgenden aufgeführten Beispiele sollen die Grenzen der Bewegungsdynamik zeigen. Im allgemeinen sind diese Bewegungsprofile zu vermeiden da die Verfahrgeschwindigkeit und damit die Bearbeitungsgeschwindigkeit während der Pendelbewegung nicht konstant ist oder nach unten hin abweicht.

Mehr:

button Begrenzung durch Beschleunigung

button Begrenzung durch Geschwindigkeit


Begrenzung durch Beschleunigung

Verwendete dynamische Kenngrößen:

a_max: 1000mm/s2

v_max: 5000000um/s

%L sub_mv

N1000 G01 G90 Y100 F500

N2000 Y-100

M29

%osc_7

N10 X[OSC ON 1ST_POS=-120 2ND_POS=120 FREQ=0.6]

N20 LL sub_mv

N30 X[OSC OFF]

N180 M30

Abbildung 1-5: Begrenzte Pendelfrequenz aufgrund der Achsbeschleunigung

Es werden 1.964s für eine volle Schwingung benötigt. Die geforderten 1.666s (ca. 833 Takte) aufgrund der Pendelfrequenz von 0.6Hz sind also mit den oben aufgeführten dynamischen Kenngrößen nicht möglich.


Begrenzung durch Geschwindigkeit

Verwendete dynamische Kenngrößen :

a_max: 1000mm/s2

v_max: 500000um/s

%L sub_mv

N1000 G01 G90 Y100 F500

N2000 Y-100

M29

%osc_7

N10 X[OSC ON 1ST_POS=-520 2ND_POS=520 FREQ=0.2]

N20 LL sub_mv

N30 X[OSC OFF]

N180 M30

Abbildung 1-6: Begrenzte Pendelfrequenz aufgrund der Achsgeschwindigkeit

Es werden 5.164s für eine volle Schwingung benötigt. Die geforderten 5s (2500 Takte) aufgrund der Pendelfrequenz von 0.2Hz sind also mit den oben aufgeführten dynamischen Kenngrößen nicht möglich.

Bei erreichen der Dynamikgrenzen wird eine Fehlermeldung ausgegeben.


Parameter

Die Parametrierung der eigentlichen Pendelbewegung erfolgt bis auf den Profiltyp vollständig über das NC Programm.

Mehr:

button Übersicht

button Beschreibung


Übersicht

Mehr:

button Kanalparameter

button Achsparameter


Kanalparameter

Über den folgenden Parameter wird der Profiltyp für die Pendelbewegung festgelegt.

ID | Parameter | Beschreibung
P-CHAN-00071 | profile | Standard-Beschleunigungsprofil


Achsparameter

Die im folgenden aufgeführten Parameter sind die begrenzenden Kenngrößen für die Pendeldynamik.

Parameter des linearen Slopes

ID | Parameter | Beschreibung
P-AXIS-00011 | a_stufe_1 | Beschleunigung in der Stufe 1
P-AXIS-00012 | a_stufe_2 | Beschleunigung in der Stufe 2
P-AXIS-00221 | vb_stufe_1_2 | Umschaltgeschwindigkeit zwischen den Beschleunigungs-stufen

Parameter des nichtlinearen Slopes

ID | Parameter | Beschreibung
P-AXIS-00001 | a_beschl | Beschleunigung bei zunehmender Geschwindigkeit
P-AXIS-00002 | a_brems | Beschleunigung bei abnehmender Geschwindigkeit
P-AXIS-00195 | tr_beschl_ab | Rampenzeit für Beschleunigungsabbau
P-AXIS-00196 | tr_beschl_zu | Rampenzeit für Beschleunigungsaufbau
P-AXIS-00197 | tr_brems_ab | Rampenzeit für Verzögerungsabbau
P-AXIS-00198 | tr_brems_zu | Rampenzeit für Verzögerungsaufbau


Beschreibung

Mehr:

button Kanalparameter

button Achsparameter


Kanalparameter

P-CHAN-00071 | Standard-Beschleunigungsprofil
Parameter | prog_start.slope.profile
Beschreibung | Einstellung des angewählten Standard-Beschleunigungsprofils.
Datentyp | SGN16
Datenbereich | 0: Sprungförmiges Beschleunigungsprofil 1: Trapezförmiges Beschleunigungsprofil 2: Sinusquadratförmiges Beschleunigungsprofil
Dimension | -
Standardwert | 0
Anmerkungen | Das Beschleunigungsprofil kann im NC-Programm mit dem Befehl #SET SLOPE PROFIL programmiert werden [PROG].


Achsparameter

Mehr:

button Linearer Slope

button Nichtlinearer Slope


Linearer Slope

P-AXIS-00011 | Beschleunigung in der Stufe 1
Parameter | getriebe[i].lslope_profil.a_stufe_1
Beschreibung | Dieser Parameter ist während der Bescheunigungs- und Verzögerungsphasen aktiv. Er definiert die Beschleunigung in der Stufe 1.
Datentyp | UNS32
Datenbereich | 1 < P-AXIS-00011 < P-AXIS-00008(a_max)
Dimension | translatorisch: mm/s2 | rotatorisch: °/s2
Standardwert | -
Anmerkungen | -

P-AXIS-00012 | Beschleunigung in der Stufe 2
Parameter | getriebe[i].lslope_profil.a_stufe_2
Beschreibung | Dieser Parameter ist während der Bescheunigungs- und Verzögerungsphasen aktiv. Er definiert die Beschleunigung in der Stufe 2.
Datentyp | UNS32
Datenbereich | 1 < P-AXIS-00012 < P-AXIS-00008(a_max)
Dimension | translatorisch: mm/s2 | rotatorisch: °/s2
Standardwert | -
Anmerkungen | -

P-AXIS-00221 | Umschaltgeschwindigkeit
Parameter | getriebe[i].lslope_profil.vb_stufe_1_2
Beschreibung | Dieser Parameter definiert die Umschaltgeschwindigkeit zwischen Stufe 1 und Stufe 2 während der Beschleunigungs- und Verzögerungsphase.
Datentyp | UNS32
Datenbereich | 1 < P-AXIS-00221 < P-AXIS-00212 (vb_max)
Dimension | translatorisch: μ m/s | rotatorisch: 0,001°/s
Standardwert | -
Anmerkungen |


Nichtlinearer Slope

P-AXIS-00001 | Beschleunigung bei zunehmender Geschwindigkeit
Parameter | getriebe[i].slope_profil.a_beschl
Beschreibung | Dieser Parameter definiert die Achsbeschleunigung bei konstanter Geschwindigkeitszunahme.
Datentyp | UNS32
Datenbereich | 1 < P-AXIS-00001 < P-AXIS-00008(a_max)
Dimension | translatorisch: mm/s2 | rotatorisch: °/s2
Standardwert |
Anmerkungen | -

P-AXIS-00002 | Beschleunigung bei abnehmender Geschwindigkeit
Parameter | getriebe[i].slope_profil.a_brems
Beschreibung | Dieser Parameter beschreibt die Achsbeschleunigung bei konstanter Geschwindigkeitsabnahme.
Datentyp | UNS32
Datenbereich | 1 < P-AXIS-00002 < P-AXIS-00008(a_max)
Dimension | translatorisch: mm/s2 | rotatorisch: °/s2
Standardwert | -
Anmerkungen | -

P-AXIS-00195 | Rampenzeit für Beschleunigungsabbau
Parameter | getriebe[i].slope_profil.tr_beschl_ab
Beschreibung | Dieser Parameter definiert die Beschleunigungsrampenzeit für den Abbau der Beschleunigung bei zunehmender Geschwindigkeit P-AXIS-00001.
Datentyp | UNS32
Datenbereich | P-AXIS-00201 < P-AXIS-00195 < MAX(UNS32)
Dimension | μ s
Standardwert | -
Anmerkungen | -

P-AXIS-00196 | Rampenzeit für Beschleunigungsaufbau
Parameter | getriebe[i].slope_profil.tr_beschl_zu
Beschreibung | Dieser Parameter definiert die Beschleunigungsrampenzeit für den Aufbau der Beschleunigung bei zunehmender Geschwindigkeit P-AXIS-00001.
Datentyp | UNS32
Datenbereich | P-AXIS-00201 < P-AXIS-00196 < MAX(UNS32)
Dimension | μ s
Standardwert | -
Anmerkungen | -

P-AXIS-00197 | Rampenzeit für Verzögerungsabbau
Parameter | getriebe[i].slope_profil.tr_brems_ab
Beschreibung | Dieser Parameter definiert die Beschleunigungsrampenzeit für den Abbau der Verzögerung P-AXIS-00002.
Datentyp | UNS32
Datenbereich | P-AXIS-00201 < P-AXIS-00197 < MAX(UNS32)
Dimension | μ s
Standardwert | -
Anmerkungen | -

P-AXIS-00198 | Rampenzeit für Verzögerungsaufbau
Parameter | getriebe[i].slope_profil.tr_brems_zu
Beschreibung | Dieser Parameter definiert die Beschleunigungsrampenzeit für den Aufbau der Verzögerung P-AXIS-00002.
Datentyp | UNS32
Datenbereich | P-AXIS-00201 < P-AXIS-00198 < MAX(UNS32)
Dimension | μ s
Standardwert | -
Anmerkungen | -